using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OcadMapLibrary {

	public class DashInfo {

		double dashMainLength;
		public double DashMainLength {
			get {
				return dashMainLength;
			}
			set {
				dashMainLength = value;
			}
		}

		double dashMainGap;
		public double DashMainGap {
			get {
				return dashMainGap;
			}
			set {
				dashMainGap = value;
			}
		}

		double dashSecondaryGap;
		public double DashSecondaryGap {
			get {
				return dashSecondaryGap;
			}
			set {
				dashSecondaryGap = value;
			}
		}

		double dashEndLength;
		public double DashEndLength {
			get {
				return dashEndLength;
			}
			set {
				dashEndLength = value;
			}
		}

		double dashEndGap;
		public double DashEndGap {
			get {
				return dashEndGap;
			}
			set {
				dashEndGap = value;
			}
		}

		int minNumGaps;
		public int MinNumGaps {
			get {
				return minNumGaps;
			}
			set {
				minNumGaps = value;
			}
		}

		public DashInfo Clone() {
			DashInfo clone = new DashInfo();
			clone.DashEndGap = DashEndGap;
			clone.DashEndLength = DashEndLength;
			clone.DashMainGap = DashMainGap;
			clone.DashMainLength = DashMainLength;
			clone.DashSecondaryGap = DashSecondaryGap;
			clone.MinNumGaps = MinNumGaps;
			return clone;
		}

	}

}
